      SUBROUTINE READINPARAM(ik)

C     GET VARIABLE FOR PRESENT RUN OF FINALSD

      open(9,file='./in.param',status='old')
      read(9,*) inparm
      close(9)

      open(9,file='./infinalsd.i',status='old')

      do 834 n=1,inparm-1
834    read(9,*) idumx

      read(9,*) ik
      close(9)

      return
      end

